<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <title>Document</title>
    </head>
    <body>
        <main>
            <div>
                <h1>My Lists</h1>
                <p>
                    <a href={% url "todo_list_create" %}>Create a new list</a>
                    
                </p>
                <p>
                    <a href={% url "todo_item_create" %}>Create a new item</a>
                </p>
                <table>
                    <tr>
                        <th>Name</th>
                        <th>Number of Items</th>
                    </tr>
                    {% for list in todolist_list %}
                    <tr>
                        <td>
                            <a href={% url "todo_list_detail" list.pk %}>
                                {{ list.name }}
                            </a>
                        </td>
                        <td>{{ list.items.all|length }}</td>
                    </tr>
                    {% endfor %}
                </table>
            </div>
        </main>
    </body>
</html>
